<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="theme-color" content="#317EFB"/>
    <meta name="description" content="CMS is a software system designed to support the distance learning process with an emphasis on learning, as opposed to a guided learning environment, which is characterised by an emphasis on managing the learning process. ">
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="../css/header.css" />
    <link rel="stylesheet" href="../css/tasks.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.1/css/all.min.css" integrity="sha512-DTOQO9RWCH3ppGqcWaEA1BIZOC6xxalwEsw9c2QQeAIftl+Vegovlnee1c9QX4TctnWMn13TZye+giMm8e2LwA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="manifest" href="../manifest.json">
    <title>CMS</title>
</head>
<body>
  <header class="header">
    <a class="header-title" href="../html/students.html">CMS</a>
    <div class="header-buttons">
        <!-- Notifications -->
        <div class="dropdown">
            <a class="dropbtn" aria-label="Notifications" href="../html/messages.html"><img id="Notifications_img" src="../images/bell-icon.png" alt="Bell icon" height="16"></a>
            <div class="dropdown-content" id="notificationsDropdown">
                
            </div>
        </div>
        
        <!-- Profile/Settings-->
        <div class="user-icon-block">
            <div class="user-icon-img user-icon-img-unregistered" id="user-icon-img">
                <div class="user-icon-menu user-icon-menu-unregistered" id="user-icon-menu">
                    <a href="../html/auth.html">LogIn / Register</a>
                    <a href="" id="log-out-link">LogOut</a>
                </div>
            </div>
        </div>
        <div class="user-name-label"><div id="current-user-name"></div></div>
    </div>
</header>
    <main>
        
      <button class="add-btn" id="add-task-btn">Add task</button>
  
      <div class="todo-list-containers">
          <div class="todo-list-container" id="to-do-board">
              TO DO
          </div>
          <div class="todo-list-container" id="in-progress-board">
              IN PROGRESS
          </div>
          <div class="todo-list-container" id="done-board">
              DONE
          </div>
      </div>
  </main>
  
  
  
  
  
  <!-- Forms -->
  
  
  
  <div class="blur-background" id="add-task-form-blur"></div>
  
  <form class="row g-3 fullscreen-form" id="add-task-form">
      <div class="col-12">
          <div class="d-flex justify-content-between align-items-center">
              <h4>Add task</h4>
              <button type="button" class="btn-close" aria-label="Close" id="close-add-task-form-btn"></button>
          </div>
          <hr>
      </div>
      <div class="col-12">
          <label for="input-task-name" class="form-label">Task name (header):</label>
          <input type="text" class="form-control" id="task-name-input" placeholder="Click to start typing" aria-label="Task name">
      </div>
      <div class="col-12">
          <div class="d-flex justify-content-end">
              <button type="button" class="btn btn-primary" id="add-task-form-btn">Add task</button>
          </div>
      </div>
  </form>
  
  
  
  
  <!-- Alerts -->
  
  
  
  <div id="liveAlertPlaceholder"></div>
  
  
  
  
  <script src="/socket.io/socket.io.js"></script>
  
  <script type="module" src="../js/header.js"></script>
  <script type="module" src="../js/tasks.js"></script>
  
    
</body>
</html>
